import React from "react";
import clsx from "clsx";
import styles from "./HomepagePromises.module.css";

const PromiseList = [
  {
    title: "Sûr",
    Svg: require("../../static/img/bouclier.svg").default,
    description: (
      <>
        <p>Vos données sont en lieu sûr et sauvegardées toutes les nuits.</p>
      </>
    ),
  },
  {
    title: "Souverain",
    Svg: require("../../static/img/rgpd.svg").default,
    description: (
      <>
        <p>Nous sommes hébergés en France et conformes au RGPD.</p>
      </>
    ),
  },
  {
    title: "Libre",
    Svg: require("../../static/img/liberte.svg").default,
    description: (
      <>
        <p>Notre solution s&apos;appuie sur des logiciels libres et nos conditions générales sont éthiques.</p>
      </>
    ),
  },
];

// eslint-disable-next-line
function Promise({Svg, title, description}) {
  return (
    <div className={clsx("col col--4")}>
      <div className="text--center">
        <Svg className={styles.promiseSvg} alt={title} />
      </div>
      <div className="text--center padding-horiz--md">
        <h3>{title}</h3>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepagePromises() {
  return (
    <section className="section-promises">    
      <div className="row">
        {PromiseList.map((props, idx) => (
          <Promise key={idx} {...props} />
        ))}
      </div>   
    </section>
  );
}
